### Method

# ICalGLib EnumArray clone

since: 4.0

#### Declaration [src]

    ICalEnumArray*
    i_cal_enum_array_clone (
      ICalEnumArray* array
    )

#### Description [src]

Creates a deep copy of `ICalEnumArray` with the same properties as the `array`.

Available since: 4.0

#### Return value

Type: `ICalEnumArray`

The newly cloned `ICalEnumArray` with the same value as the `array`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.